Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.expr
Class PropertyInfo

    java.lang.Object
      org.apache.fop.fo.expr.PropertyInfo

    public class PropertyInfo

extends java.lang.Object

This class holds context information needed during property expression evaluation. It holds the Maker object for the property, the PropertyList being built, and the FObj parent of the FObj for which the property is being set.

Constructor Summary
`PropertyInfo(PropertyMaker maker, PropertyList plist)` Constructor

Method Summary
`Length` | `currentFontSize()`
`FObj` | `getFO()` accessor for FObj
`PercentBase` | `getPercentBase()` Return the PercentBase object used to calculate the absolute value from a percent specification.
`PropertyList` | `getPropertyList()` accessor for PropertyList
`PropertyMaker` | `getPropertyMaker()` accessor for PropertyMaker
`protected FOUserAgent` | `getUserAgent()` Convenience shortcut to get a reference to the FOUserAgent
`void` | `popFunction()` pop a function off of the function stack
`void` | `pushFunction(Function func)` push a function onto the function stack

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyInfo

    public PropertyInfo(PropertyMaker maker,
                        PropertyList plist)

  Constructor

  Parameters:
    `maker` - Property.Maker object
    `plist` - PropertyList object

Method Detail

### getPercentBase

    public PercentBase getPercentBase()
                               throws PropertyException

  Return the PercentBase object used to calculate the absolute value from a percent specification. Propagates to the Maker.

  Returns:
    The PercentBase object or null if percentLengthOK()=false.
  Throws:
    `PropertyException` - if a property exception occurs

### currentFontSize

    public Length currentFontSize()
                           throws PropertyException

  Returns:
    the current font-size value as base units (milli-points).
  Throws:
    `PropertyException` - if a property exception occurs

### getFO

    public FObj getFO()

  accessor for FObj

  Returns:
    FObj

### getPropertyList

    public PropertyList getPropertyList()

  accessor for PropertyList

  Returns:
    PropertyList object

### getPropertyMaker

    public PropertyMaker getPropertyMaker()

  accessor for PropertyMaker

  Returns:
    PropertyMaker object

### pushFunction

    public void pushFunction(Function func)

  push a function onto the function stack

  Parameters:
    `func` - function to push onto stack

### popFunction

    public void popFunction()

  pop a function off of the function stack

### getUserAgent

    protected FOUserAgent getUserAgent()

  Convenience shortcut to get a reference to the FOUserAgent

  Returns:
    the FOUserAgent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.